Create
curl --request POST \
--url https://{defaultHost}/v1/affiliation_products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"affiliation_product": {
"affiliation": "a897af24-b347-4b5a-98a7-4e101fa2054a",
"product": "30e4d583-f06f-4ce7-b2f7-6a2645ba9d9b",
"commission_structure": {
"percent_commission": 33.33
}
}
}
'import requests
url = "https://{defaultHost}/v1/affiliation_products"
payload = { "affiliation_product": {
"affiliation": "a897af24-b347-4b5a-98a7-4e101fa2054a",
"product": "30e4d583-f06f-4ce7-b2f7-6a2645ba9d9b",
"commission_structure": { "percent_commission": 33.33 }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
affiliation_product: {
affiliation: 'a897af24-b347-4b5a-98a7-4e101fa2054a',
product: '30e4d583-f06f-4ce7-b2f7-6a2645ba9d9b',
commission_structure: {percent_commission: 33.33}
}
})
};
fetch('https://{defaultHost}/v1/affiliation_products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5afa6d5d-0053-474c-8b36-b00f294f1079",
"object": "affiliation_product",
"affiliation": "a897af24-b347-4b5a-98a7-4e101fa2054a",
"product": "30e4d583-f06f-4ce7-b2f7-6a2645ba9d9b",
"commission_structure": "fb15b711-cad9-41dd-b638-9ca804ea57b4",
"created_at": 1782485802,
"updated_at": 1782485802
}Affiliation Products
Create
Creates a new affiliation product.
POST
/
v1
/
affiliation_products
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Expandable – The associated affiliation ID.
Expandable – The associated commission structure ID.
Expandable – The associated product ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?
⌘I